@echo off
rem ****************************************************************************
rem Licensed Materials - Property of IBM
rem
rem 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 Copyright IBM Corp. 2010
rem
rem US Government Users Restricted Rights - Use, duplication or disclosure
rem restricted by GSA ADP Schedule Contract with IBM Corp.
rem ****************************************************************************
rem Launch the OSGI Application Console which allow interrogation of the Application Bundles/Services and packages.
rem
rem called by osgiApplicationConsole.bat <-h hostname> <-o port> <-u userid> <-p password>
rem
rem ****************************************************************************
setlocal

set host=
set port=
set user=
set pwd=
rem set the current script location because we lose it when we start shifting the batch parameters
set scriptLocation=%~dp0

rem iterate through the arguments and call the relevant function
:argloop

if "%1%" == "" goto endargloop
if "%1%" == "-h" goto sethost
if "%1%" == "-o" goto setport
if "%1%" == "-u" goto setuser
if "%1%" == "-p" goto setpwd

rem this is called when we need to move onto the next parameters
:skipargs

shift
shift
goto argloop

rem If we have a host variable then set the host value for wsadmin
:sethost
set host=-host %2%
goto skipargs

rem If we have a port variable then set the port value for wsadmin
:setport
set port=-port %2%
goto skipargs

rem If we have a user variable then set the user value for wsadmin
:setuser
set user=-user %2%
goto skipargs

rem If we have a password variable then set the password value for wsadmin
:setpwd
set pwd=-pwd %2%
goto skipargs

rem This is the main function. It is called when all of the parameters have been processed
:endargloop

rem Set variable to be the Directory containing the Aries osgi jars
set ariesDir=%scriptLocation%..\osgiappbundles\com.ibm.ws.osgi.applications

rem pushd the current directory and switch to the aries dir to allow us to find the jar we want to add to our classpath.
pushd "%ariesDir%\aries"

rem Find the OSGI jar that matches the pattern and put this into another variable
for %%f in (org.eclipse.osgi*.jar) do (set osgijar=%%f)

rem Before invoking the command, switch back to the original working dir rather than the dir that we
rem switched to, to get the osgi jar name.
popd

set ebaAdminJar=%ariesDir%\com.ibm.ws.eba.admin.jar

rem Finally invoke the osgiApplicationConsole python script adding the osgi jar to the wsadmin classpath
"%scriptLocation%..\..\..\bin\wsadmin.bat" -lang jython -profile "%scriptLocation%..\scriptLibraries\osgi\osgiApplicationConsole.py" -wsadmin_classpath "%ariesDir%\aries\%osgiJar%;%ebaAdminJar%" %host% %port% %user% %pwd%

:exitscript
endlocal
