## 
##  Licensed Materials - Property of IBM
##  
##  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
##  
##  Copyright IBM Corp. 2009
##
#######################################################################

# Remove the BLA and all its comp units
blabberSampleBlaId = 'WebSphere:blaname=Blabber Sample'
blas = AdminTask.listBLAs().splitlines()
if blabberSampleBlaId in blas:
    AdminTask.stopBLA(['-blaID', blabberSampleBlaId])
    compUnits = AdminTask.listCompUnits(['-blaID', blabberSampleBlaId]).splitlines()
    for compUnitId in compUnits:
        print 'Deleting comp unit: ' + compUnitId
        AdminTask.deleteCompUnit(['-blaID', blabberSampleBlaId, '-cuID', compUnitId])
    print 'Deleting BLA: ' + blabberSampleBlaId
    AdminTask.deleteBLA(['-blaID', blabberSampleBlaId])
else:
    print 'BLA not installed: ' + blabberSampleBlaId

# Delete the Asset
blabberSampleAssetId = 'WebSphere:assetname=com.ibm.ws.eba.example.blabber.app.eba'
assets = AdminTask.listAssets().splitlines()
if blabberSampleAssetId in assets:
    print 'Deleting asset: ' + blabberSampleAssetId
    AdminTask.deleteAsset(['-assetID', blabberSampleAssetId])
else:
    print 'Asset not installed: ' + blabberSampleAssetId

# Remove datasources
for dsName in ['blabberDB', 'blabberDBNonJTA']:
    dsId = '/DataSource:' + dsName + '/'
    ds = AdminConfig.getid(dsId)
    if ds:
        print 'Removing datasource: ' + dsName
        AdminConfig.remove(ds)
    else:
        print 'Datasource not installed: ' + dsName

AdminConfig.save()

# JSON4J removal message

print "-------------------------------------------------"
print "Uninstall complete - please manually remove the"
print "com.ibm.json.java bundle from the internal bundle"
print "repository if not in use."
print "-------------------------------------------------"