//  Licensed Materials - Property of IBM
//  
//  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
//  
//  Copyright IBM Corp. 2009
//
dojo.provide("blabber.ErrorDialog");
dojo.require("dijit.Dialog");
dojo.declare("blabber.ErrorDialog",[dijit.Dialog],{
  errorMessage: "",
  postCreate:function() {
    // Ensure that the extended dijits postCreate method is invoked...
    this.inherited(arguments);

    // Create a new div element to contain the error message and the "OK" button...
    var dialogContent = dojo.doc.createElement("div");
    dojo.attr(dialogContent, "ALIGN", "CENTER");
    var label = dojo.doc.createElement("p");
    label.innerHTML = this.errorMessage;
    dojo.place(label, dialogContent, "last");
    var b = new dijit.form.Button({label:"OK"});
    dojo.place(b.domNode, dialogContent, "last");

    // Connect the "onClick" of the "OK" button to hide and then destroy the dialog...
    var me = this;
    var handle = dojo.connect(b, "onClick", function() {
      me.hide();
      setTimeout(function() {                                
        me.destroy();
        dojo.disconnect(handle);
      }, 1000);
    });

    // Place the div containing the error message and the button into the dialog.
    this.attr("content", dialogContent);
  }
});

