//  Licensed Materials - Property of IBM
//  
//  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
//  
//  Copyright IBM Corp. 2009
//
dojo.provide("blabber.PostGrid");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.grid.DataGrid");
dojo.require("dojo.data.ItemFileReadStore");
dojo.declare("blabber.PostGrid",[dijit._Widget,dijit._Templated],{
  templateString : "<div dojoAttachPoint='gridGoesHere'></div>",
  username: "",
  profile: true,
  grid: null,
  gridStore: null,
  gridStoreURL: "",
  gridStructure: null,
  // This function changes the int representing a user image into the HTML image tag referencing
  // the correct image for the user...
  formatImage: function (value){
    return "<img src='UserIcon" + value + ".JPG' />";                             
  },
  // This function changes the username into a formatted anchor that provides a link to that users
  // profile page...
  formatUserName: function (value){
    //return "<b style='font-size:14px'>" + value + "</b>";
    return "<a style='text-decoration:none' href='./displayProfile?username="+value+"'><b style='font-size:14px;color:black;'>" + value + "</b></a>";
  },
  // This function formats the status information text into the correct font size...
  formatStatus: function (value){
    return "<span style='font-size:12px'>" + value + "</span>";                             
  },
  // This function formats the timestamp of the status post into italics...
  formatTimeStamp: function (value){
    return "<i>posted at: " + value + "</i>";                             
  },
  postCreate: function() {    
    if (this.profile === true) {
        this.gridStoreURL = "./getPosts?username=" + this.username + "&forUserProfile=true";
        this.gridStructure = [[{ field: "image", name: "Image", width: '64px', rowSpan: 2, formatter: this.formatImage},
                               { field: "username", name: "User", width: "100px", formatter: this.formatUserName},
                               { field: "update", name: "Status", width: "auto", formatter: this.formatStatus}
                             ],[
                               { field: "timestamp", name: "Timestamp", width: "auto", colSpan: 2, formatter: this.formatTimeStamp}
                             ]];
    }
    else {
        this.gridStoreURL = "./getPosts?username=" + this.username;
        this.gridStructure = [[{ field: "update", name: "Status", width: "auto", formatter: this.formatStatus}
                             ],[
                               { field: "timestamp", name: "Timestamp", width: "auto", formatter: this.formatTimeStamp}
                             ]];
    }

    this.gridStore = new dojo.data.ItemFileReadStore({url:this.gridStoreURL, urlPreventCache: true});

    var gridNode = dojo.doc.createElement("div");
    dojo.place(gridNode, this.gridGoesHere, "last");
    this.grid = new dojox.grid.DataGrid({id: this.id + '_Grid',
                                         query: { update: '*' },
                                         store: this.gridStore,
                                         style: "height:100%;",
                                         structure: this.gridStructure}, gridNode);
    this.grid.startup();
  },
  refreshStatus: function() {
    this.gridStore = new dojo.data.ItemFileReadStore({url:this.gridStoreURL, urlPreventCache: true});
    this.grid.setStore(this.gridStore);
  },
  uninitialize: function() {
    this.grid.destroy();
  }
});

