//  Licensed Materials - Property of IBM
//  
//  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
//  
//  Copyright IBM Corp. 2009
//
dojo.provide("blabber.UserGrid");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.grid.DataGrid");
dojo.require("dojo.data.ItemFileReadStore");
dojo.declare("blabber.UserGrid",[dijit._Widget,dijit._Templated],{
  templateString : "<div dojoAttachPoint='gridGoesHere'></div>",
  username: "",
  grid: null,
  gridStore: null,
  gridStoreURL: "",
  gridStructure: null,
  // This function changes the int representing a user image into the HTML image tag referencing
  // the correct image for the user...
  formatImage: function (value){
    return "<img src='UserIcon" + value + ".JPG' />";                             
  },
  // This function changes the username into a formatted anchor that provides a link to that users
  // profile page...
  formatUserName: function (value){
    //return "<b style='font-size:14px'>" + value + "</b>";
    return "<a style='text-decoration:none' href='./displayProfile?username="+value+"'><b style='font-size:14px;color:black;'>" + value + "</b></a>";
  },
  postCreate: function() {    
    this.gridStructure = [{ field: "image", name: "Image", width: '64px', formatter: this.formatImage},
                          { field: "username", name: "User", width: "auto", formatter: this.formatUserName}];
    this.gridStore = new dojo.data.ItemFileReadStore({url:this.gridStoreURL, urlPreventCache: true});
    var gridNode = dojo.doc.createElement("div");
    dojo.place(gridNode, this.gridGoesHere, "last");
    this.grid = new dojox.grid.DataGrid({id: this.id + '_Grid',
                                         query: { username: '*' },
                                         store: this.gridStore,
                                         style: "height:100%;",
                                         structure: this.gridStructure}, gridNode);
    this.grid.startup();
  },
  refreshStatus: function() {
    this.gridStore = new dojo.data.ItemFileReadStore({url:this.gridStoreURL, urlPreventCache: true});
    this.grid.setStore(this.gridStore);
  },
  uninitialize: function() {
    this.grid.destroy();
  }
});

