/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blabber;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class DisplayProfile extends HttpServlet
{
	private static final long serialVersionUID = 6154192790504165279L;

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
	{
			// GET action requested...
			// This method should set-up the appropriate request parameters and session attributes
			String requestedUserProfile = request.getParameter(Constants._USER_NAME_PARM);
			String signedOnUser = (String) request.getSession().getAttribute(Constants._SIGNED_ON_USER_NAME);
			request.getSession().setAttribute(Constants._IMAGE, BlabberUtils.getBlabberService().getUserAvatar(requestedUserProfile));
			if (signedOnUser == null || signedOnUser.equals(requestedUserProfile))
			{
				// If there is no user signed-in or if the signed-in user is requesting to
				// display their own profile, the "Track me" button should not be displayed,
				// neither should the replyTo button.
				// Ensure that the requested user is not marked as being tracked...
				request.getSession().setAttribute(Constants._REQUESTED_USER_IS_BEING_TRACKED, Constants._UNCHECKED);
			}
			else
			{
				// If the user is signed on, then we need to check if the requested
				// user is being tracked...				
				if (BlabberUtils.getBlabberService().isTracking(signedOnUser, requestedUserProfile))
				{
					request.getSession().setAttribute(Constants._REQUESTED_USER_IS_BEING_TRACKED, Constants._CHECKED);
				}
				else
				{
					request.getSession().setAttribute(Constants._REQUESTED_USER_IS_BEING_TRACKED, Constants._UNCHECKED);
				}

			}

			// Forward the request to the Profile.JSP which will apply the settings to its display...
			RequestDispatcher rd = request.getRequestDispatcher("./Profile.jsp");
			rd.forward(request, response);


	}

}
