/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blabber;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.json.java.JSONArray;
import com.ibm.json.java.JSONObject;
import com.ibm.ws.eba.example.blabber.persistence.entity.UserInfo;

public class GetTrackedUsers extends HttpServlet
{
	private static final long serialVersionUID = -4880355033693105383L;

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
	{
			// GET action requested...
			PrintWriter out = response.getWriter();
			response.setContentType(Constants._CONTENT_TYPE);

			JSONObject result = new JSONObject();
			result.put(Constants._IDENTIFIER, Constants._USER_NAME_PARM);
			result.put(Constants._LABEL, Constants._USER_NAME_PARM);
			JSONArray users = new JSONArray();
			result.put(Constants._ITEMS, users);
			String username = request.getParameter(Constants._USER_NAME_PARM);
			if (username != null)
			{
			    // If the username is not null retrieve the users he is tracking
			    // and update our users array with usernames and avatars.
				for (UserInfo user : BlabberUtils.getBlabberService().getTrackedUsers(username))
				{
					JSONObject jsonUser = new JSONObject();
					jsonUser.put(Constants._IMAGE, user.getAvatar());
					jsonUser.put(Constants._USER_NAME_PARM, user.getUsername());
					users.add(jsonUser);
				}
			}

			out.print(result.serialize());
			out.flush();

	}
}
