/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blabber;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.json.java.JSONObject;

public class SignIn extends HttpServlet
{
	private static final long serialVersionUID = -2857619375053780025L;

	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
	{
			// POST action requested...
			// Get the output stream and set the content type to JSON...
			PrintWriter out = response.getWriter();
			response.setContentType(Constants._CONTENT_TYPE);

			// Create a JSON object to store the result of the sign-on...
			JSONObject result = new JSONObject();

			/*
			 * The user name and password should have been submitted as request parameters and both should be present because the client has
			 * Dojo code to ensure they are both provided...
			 */
			String username = request.getParameter(Constants._USER_NAME_PARM);
			String password = request.getParameter(Constants._PASSWORD_PARM);

			boolean successfulSignOn = BlabberUtils.getBlabberService().logon(username, password);
			result.put(Constants._SUCCESS, successfulSignOn);
			if (successfulSignOn)
			{
				// If sign-on succeeded, set the username as the currently signed on user...
				request.getSession().setAttribute(Constants._SIGNED_ON_USER_NAME, username);
			}

			// Output the result...
			out.print(result.serialize());
			out.flush();

	}
}
