/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blabber;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class UpdateTrackingData extends HttpServlet
{
	private static final long serialVersionUID = 7844295405559805561L;

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
	{
			// GET action requested...
			String signedInUser = (String) request.getSession().getAttribute(Constants._SIGNED_ON_USER_NAME);
			String requestedUser = request.getParameter(Constants._USER_NAME_PARM);
			boolean tracked = Boolean.parseBoolean(request.getParameter(Constants._IS_TRACKED_PARM));
			if (signedInUser != null)
			{
				if (tracked)
				{
				  BlabberUtils.getBlabberService().startTracking(signedInUser, requestedUser);
				}
				else
				{
				  BlabberUtils.getBlabberService().stopTracking(signedInUser, requestedUser);
				}
			}			
	}
}
