## 
##  Licensed Materials - Property of IBM
##  
##  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
##  
##  Copyright IBM Corp. 2009
##
#######################################################################

# Remove the BLA and all its comp units
blogSampleBlaId = 'WebSphere:blaname=Blog Sample'

blas = AdminTask.listBLAs().splitlines()
if blogSampleBlaId in blas:
    AdminTask.stopBLA(['-blaID', blogSampleBlaId])
    compUnits = AdminTask.listCompUnits(['-blaID', blogSampleBlaId]).splitlines()
    for compUnitId in compUnits:
        print 'Deleting comp unit: ' + compUnitId
        AdminTask.deleteCompUnit(['-blaID', blogSampleBlaId, '-cuID', compUnitId])
    print 'Deleting BLA: ' + blogSampleBlaId
    AdminTask.deleteBLA(['-blaID', blogSampleBlaId])
else:
    print 'BLA not installed: ' + blogSampleBlaId

# Delete the Asset
blogSampleAssetId = 'WebSphere:assetname=com.ibm.ws.eba.example.blog.eba'

assets = AdminTask.listAssets().splitlines()
if blogSampleAssetId in assets:
    print 'Deleting asset: ' + blogSampleAssetId
    AdminTask.deleteAsset(['-assetID', blogSampleAssetId])
else:
    print 'Asset not installed: ' + blogSampleAssetId

# Remove datasources
for dsName in ['BlogDB', 'BlogDBNonJTA']:
    dsId = '/DataSource:' + dsName + '/'
    ds = AdminConfig.getid(dsId)
    if ds:
        print 'Removing datasource: ' + dsName
        AdminConfig.remove(ds)
    else:
        print 'Datasource not installed: ' + dsName

AdminConfig.save()

# JSON4J removal message

print "-------------------------------------------------"
print "Uninstall complete - please manually remove the"
print "com.ibm.json.java bundle from the internal bundle"
print "repository if not in use."
print "-------------------------------------------------"