/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog.api;

import java.util.List;

public interface BlogAuthor
{
  /** Get the author's display name 
   *  @return the display name String
   */
  String getName();

  /** Get the author's full name
   *  @return the full name String
   */
  String getFullName();

  /** Get the author's email address 
   *  @return the email address String
   */
  String getEmailAddress();

  /** Get the author's biography 
   *  @return the biography String
   */
  String getBio();

  /** Get the author's date of birth 
   *  @return the date of birth String (dd-mm-yyyy) 
   */
  String getDateOfBirth();
  
  /**
   * 
   * @return a list of Blog Entries
   */
  List<? extends BlogEntry> getEntries();
}
