/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog.api;

import java.util.Date;


public interface BlogEntry
{
  /** 
   * Get the title of the blog posting.
   * @return the title String
   */
  String getTitle();

  /** 
   * Get the body of the blog posting.
   * @return the body content as a String
   */
  String getBody();

  /** 
   * Get the author of the blog entry.
   * @return the author of this post
   */
  BlogAuthor getAuthor();

  /**
   * Get the email address of the author of the blog posting.
   * @return the author's email address
   */
  String getAuthorEmail();

  /**
   * Get the publish date of a blog posting.
   * @return the date of publish
   */
  public Date getPublishDate();

  /**
   * Get the Id value for the blog posting. 
   * @return the id value
   */
  public long getId();
  
}