/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog.comment.persistence.api;
import java.util.Date;

import com.ibm.ws.eba.example.blog.persistence.api.Author;
import com.ibm.ws.eba.example.blog.persistence.api.Entry;


public interface Comment
{
  /** Get comment 
   *  @return the String representing the comment 
   */
  String getComment();
  
  /** Get the author of the comment 
   *  @return the BlogAuthor instance 
   */
  Author getAuthor();
  
  /** Get the parent blog post for the comment 
   *  @return the BlogPost instance the comment is attached to.  
   */
  Entry getEntry();

  /** Get the Id value of the comment 
   *  @return the integer id of the comment 
   */
  int getId();
  
  /** Get the creation date for the comment 
   *  @return the String representation of the date the comment was
   *  created in dd-mm-yyyy format. 
   */
  Date getCreationDate();
  
}
