/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog.persistence.api;

import java.util.Date;
import java.util.List;



/**
 * This class represents a blog post Author
 */

public interface Author
{

  /** Get the author's email address */
  public String getEmail();
  

  /** Get the author's full name */
  public String getName();
 
 
  /** Get the author's displayed name */
  public String getDisplayName();
 

  /** Get the author's biographical information */
  public String getBio();
 

  /** Get the author's date of birth */
  public Date getDob();
  
  
  /** Get the author's blog posts */
  public List<? extends Entry> getEntries();
  
  
}
