/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog.persistence.api;

import java.util.Date;
import java.util.List;




/**
 * This interface represents a blog entry
 */

public interface Entry
{
  
  /** Get the author of this blog post */
  public Author getAuthor(); 
  
  /** Get the publish date of this blog post */
  public Date getPublishDate(); 
  
  /** Get the title of this blog post */
  public String getTitle();
  
  /** Get the tags for this blog post */
  public List<String> getTags(); 
  
  /** Get the text for this blog post */
  public String getBlogText();
  
  /** get the Blog post id */
  public long getId();
 
  /**
   * @return The date of the last update to this blog
   *         or null if it has never been modified
   */
  public Date getUpdatedDate();

}
