/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog.web;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.ws.eba.example.blog.api.BloggingService;
import com.ibm.ws.eba.example.blog.web.util.FormServlet;
import com.ibm.ws.eba.example.blog.web.util.JNDIHelper;

public class CreateBlogEntry extends HttpServlet
{
  private static final long serialVersionUID = -6484228320837122235L;

  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
      IOException{
        doPost(req,resp);
  }
  
  @Override
  protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
      IOException
  {
    // new blog entry values
    String email = req.getParameter("email");
    String title = req.getParameter("title");
    String text = req.getParameter("text");
    String tags = req.getParameter("tags");
    
    BloggingService service = JNDIHelper.getBloggingService();
    
    
    if (service.getBlogAuthor(email) != null) {
      service.createBlogEntry(email, title, text, tags);
      resp.sendRedirect("ViewBlog");
    } else {
      storeParam(req, "email", email);
      storeParam(req, "title", title);
      storeParam(req, "text", text);
      storeParam(req, "tags", tags);
      
      if (email.equals(""))
        FormServlet.addError(req, "The email field is required.");
      else
        FormServlet.addError(req, "The author's email is not valid.");
      
      resp.sendRedirect("CreateBlogEntryForm");
    }
  }
  
  private void storeParam(HttpServletRequest req, String param, String value) 
  {
    FormServlet.storeParam(req, CreateBlogEntryForm.ID, param, value);
  }
}