/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog.web;

import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;

import com.ibm.ws.eba.example.blog.web.util.FormServlet;
import com.ibm.ws.eba.example.blog.web.util.HTMLOutput;

public class CreateBlogEntryForm extends FormServlet
{
  private static final long serialVersionUID = -6484228320837122235L;
  public static final String ID = "entry";
  
  public CreateBlogEntryForm()
  {
    super(ID);
  }
  
  @Override
  protected String getPageTitle(HttpServletRequest req)
  { 
    return "Create Blog Entry";
  }

  @Override
  protected void writeForm(HttpServletRequest req, PrintWriter out)
  {
    String email = retrieveOrEmpty(req, "email");
    String title = retrieveOrEmpty(req, "title");
    String text = retrieveOrEmpty(req, "text");
    String tags = retrieveOrEmpty(req, "tags");
    
    out.println("<form name=\"createEntry\" method=\"post\" action=\"CreateBlogEntry\">");

    out.println("<div class=\"textEntry\"><label>Title <input dojoType=\"dijit.form.TextBox\" type=\"text\" name=\"title\" value=\"" + title + "\"/></label></div>");
    out.println("<div class=\"textEntry\"><textarea dojoType=\"dijit.Editor\" id=\"textArea\" name=\"textArea\">" + text + "</textarea></div>");
    out.println("<div class=\"textEntry\"><label>Email <input dojoType=\"dijit.form.TextBox\" type=\"text\" name=\"email\" value=\"" + email + "\"/></label></div>");
    out.println("<div class=\"textEntry\"><label>Tags &nbsp;<input dojoType=\"dijit.form.TextBox\" type=\"text\" name=\"tags\" value=\"" + tags + "\"/></label></div>");
    
    out.println("<input type=\"hidden\" name=\"text\" id=\"text\" value=\"\"/>");
    out.println("<input class=\"submit\" type=\"submit\" value=\"Submit\" name=\"Submit\" onclick=\"storeBlogContent();return true;\"/>");
    out.println("</form>");
  }
  
  @Override
  protected void writeCustomHeaderContent(HttpServletRequest req, PrintWriter out)
  {
    HTMLOutput.writeDojoUses(out, "dojo.parser", "dijit.dijit", "dijit.Editor", "dijit.form.TextBox"); 
    
    out.println("<script type=\"text/javascript\">");
    out.println("  function storeBlogContent() {");
    out.println("    var textBox = dijit.byId('textArea');");
    out.println("    var textArea = dojo.byId('text');");
    out.println("    textArea.value = textBox.getValue();");
    out.println("  }");
    out.println("</script>");
  }
}