/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */

package com.ibm.ws.eba.example.blog.web.util;

import java.io.IOException;

import javax.naming.InitialContext;
import javax.naming.NamingException;

import com.ibm.ws.eba.example.blog.api.BloggingService;

public class JNDIHelper {
	public static final BloggingService getBloggingService() throws IOException {
		try {
			InitialContext ic = new InitialContext();

			return (BloggingService) ic.lookup("aries:services/"
					+ BloggingService.class.getName());
		} catch (NamingException e) {
			e.printStackTrace();
			IOException ioe = new IOException(
					"Blogging service resolution failed");
			ioe.initCause(e);
			throw ioe;
		}
	}
}
