/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog;

import java.util.Calendar;
import java.util.Date;
import java.util.List;

import com.ibm.ws.eba.example.blog.api.BlogAuthor;
import com.ibm.ws.eba.example.blog.api.BlogEntry;
import com.ibm.ws.eba.example.blog.persistence.api.Author;
import com.ibm.ws.eba.example.blog.persistence.api.Entry;

public class BlogAuthorImpl implements BlogAuthor {
	private static Calendar cal = Calendar.getInstance();
	private Author author;

	public BlogAuthorImpl(Author a) {
		author = a;
	}

	public String getBio() {
		return author.getBio();
	}

	public String getEmailAddress() {
		return author.getEmail();
	}

	public String getFullName() {
		return author.getName();
	}

	public String getName() {
		return author.getDisplayName();
	}

	public String getDateOfBirth() {
		Date dob = author.getDob();
		int year = 0;
		int month = 0;
		int date = 0;
		if (dob != null) {
			synchronized (cal) {
				cal.setTime(dob);
				year = cal.get(Calendar.YEAR);
				month = cal.get(Calendar.MONTH) + 1;
				date = cal.get(Calendar.DATE);
			}
		}

	return year + "-" + month + "-" + date;
	}

	public List<? extends BlogEntry> getEntries() {
		return adapt(author.getEntries());
	}
	
	private List<? extends BlogEntry> adapt (List<? extends Entry> list) {
		List<BlogEntryImpl> bei = null;
		return bei;
	}

}