/*
 * @start_prolog@
 * ============================================================================
 *  Licensed Materials - Property of IBM
 *  
 *  5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70
 *  
 *  Copyright IBM Corp. 2009
 * ============================================================================
 * @end_prolog@
 * 
 * Change activity:
 * 
 * Issue       Date        Name           Description
 * ----------- ----------- -------------- ------------------------------------
 */
package com.ibm.ws.eba.example.blog;

import java.util.Date;

import com.ibm.ws.eba.example.blog.api.BlogAuthor;
import com.ibm.ws.eba.example.blog.api.BlogEntry;
import com.ibm.ws.eba.example.blog.persistence.api.Entry;


/** Implementation of a BlogPast */
public class BlogEntryImpl implements BlogEntry
{
  public Entry theEntry; 

  public BlogEntryImpl(Entry blogEntry)
  {
    theEntry = blogEntry;
  }

  public BlogAuthor getAuthor()
  {
	  
	  return new BlogAuthorImpl(theEntry.getAuthor());
  }

  public String getBody()
  {
    return theEntry.getBlogText();
  }

  public String getTitle()
  {
    return theEntry.getTitle();
  }

  public String getAuthorEmail()
  {
    return theEntry.getAuthor().getEmail();
  }
  
  public Date getPublishDate()
  {
    return theEntry.getPublishDate();
  }
  
  public long getId()
  {
    return theEntry.getId();
  }

}