package com.ibm.ws.eba.example.blog;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;

public class BlogListAdapter<F, B> implements List<F> {

	private List<? extends B> backendList;
	private Class<? extends F> frontendClazz;
	private Class<B> backendClazz;

	public BlogListAdapter(List<? extends B> backendList,
			Class<? extends F> frontendClazz, Class<B> backendClazz) {
		this.backendList = backendList;
		this.frontendClazz = frontendClazz;
		this.backendClazz = backendClazz;
	}

	public void add() {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public boolean add(F e) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public void add(int index, F element) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public boolean addAll(Collection<? extends F> c) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public boolean addAll(int index, Collection<? extends F> c) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public void clear() {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");

	}

	@Override
	public boolean contains(Object o) {
		throw new UnsupportedOperationException("Contains() is not supported");

	}

	@Override
	public boolean containsAll(Collection<?> c) {
		throw new UnsupportedOperationException(
				"ContainsAll() is not supported");
	}

	@Override
	public F get(int index) {
		Constructor<F> c;
		try {
			c = (Constructor<F>) frontendClazz.getConstructor(backendClazz);
			return c.newInstance(backendList.get(index));
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} 
		return null;
	}

	@Override
	public int indexOf(Object o) {
		throw new UnsupportedOperationException("IndexOf() is not supported");
	}

	@Override
	public boolean isEmpty() {
		return backendList.isEmpty();
	}

	@Override
	public Iterator iterator() {
		return new BlogListIterator(backendList.listIterator(), frontendClazz,
				backendClazz);
	}

	@Override
	public int lastIndexOf(Object o) {
		throw new UnsupportedOperationException(
				"lastIndexOf() is not supported");
	}

	@Override
	public ListIterator listIterator() {
		return new BlogListIterator(backendList.listIterator(), frontendClazz,
				backendClazz);
	}

	@Override
	public ListIterator listIterator(int index) {
		return new BlogListIterator(backendList.listIterator(index),
				frontendClazz, backendClazz);
	}

	@Override
	public boolean remove(Object o) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public F remove(int index) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public boolean removeAll(Collection c) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public boolean retainAll(Collection c) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public Object set(int index, Object element) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public int size() {
		return backendList.size();
	}

	@Override
	public List subList(int fromIndex, int toIndex) {
		throw new UnsupportedOperationException("subList() is not supported");
	}

	@Override
	public Object[] toArray() {
		throw new UnsupportedOperationException("toArray() is not supported");
	}

	@Override
	public Object[] toArray(Object[] a) {
		throw new UnsupportedOperationException(
				"toArray(Object[] a) is not supported");
	}

}
