package com.ibm.ws.eba.example.blog;

import java.lang.reflect.Constructor;
import java.util.ListIterator;

public class BlogListIterator<B, F> implements ListIterator<F> {

	private ListIterator<? extends B> internalListIterator;

	private Class<? extends F> frontendClazz;
	private Class<B> backendClazz;

	public BlogListIterator(ListIterator<? extends B> listIterator,
			Class<? extends F> frontendClazz, Class<B> backendClazz) {
		this.internalListIterator = listIterator;
		this.frontendClazz = frontendClazz;
		this.backendClazz = backendClazz;
	}

	@Override
	public void add(Object e) {
		throw new UnsupportedOperationException("");
	}

	@Override
	public boolean hasNext() {
		return internalListIterator.hasNext();
	}

	@Override
	public boolean hasPrevious() {
		return internalListIterator.hasPrevious();
	}

	@Override
	public F next() {
		try {
			return getConstructor().newInstance(internalListIterator.next());
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return null;
	}

	@Override
	public int nextIndex() {
		return internalListIterator.nextIndex();
	}

	@Override
	public F previous() {	
		try {
			return getConstructor().newInstance(internalListIterator.previous());
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return null;
	}

	@Override
	public int previousIndex() {
		// TODO Auto-generated method stub
		return 0;
	}

	@Override
	public void remove() {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	@Override
	public void set(Object e) {
		throw new UnsupportedOperationException(
				"Modifications to the list are not supported");
	}

	private Constructor<F> getConstructor() {
		Constructor<F> c;
		try {
			c = (Constructor<F>) frontendClazz.getConstructor(backendClazz);
			return c;
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return null;
	}
}
